Subject: Re: [Idr] [Editorial Errata Reported] RFC1997 (4576)

From: "Alvaro Retana (aretana)" <[email-masked]>
Date: Wed, 17 Feb 2016 19:59:01 +0000

Idr WG:

Hi!  Here's another report that I want to run through the WG.  Please see
below.

In essence, the report says that the definition of NO_EXPORT (and
NO_EXPORT_SUBCONFED) is wrong.  Looking at on-line documentation I found
this (for NO_EXPORT):

cisco: "Routes with this community are advertised to only peers in the
same autonomous system or to only other subautonomous systems within a
confederation. These routes are not advertised to external peers." [1]

Juniper: "Routes in this community must not be advertised outside a BGP
confederation boundary." [2]

Quagga: "All routes carry this value must not be advertised to outside a
BGP confederation boundary. If neighboring BGP peer is part of BGP
confederation, the peer is considered as inside a BGP confederation
boundary, so the route will be announced to the peer." [3]

[Sorry if I didn't look up all the vendors -- I also didn't make an effort
to verify that the documentation says what the routers actually do.]

The descriptions above are in line with what is currently in RFC1997.

Before I reject the report (and to be on the safe side), I want to ask the
vendors in the WG: Does the documentation really match the functionality?
;-)  Are there implementations that don't match the functionality
described in RFC1997?

Thanks!

Alvaro.

[1] 
http://www.cisco.com/c/en/us/td/docs/ios/12_2/iproute/command/reference/fip
rrp_r/1rfbgp1.html
[2] 
http://www.juniper.net/documentation/en_US/junos13.3/topics/usage-guideline
s/policy-defining-bgp-communities-and-extended-communities-for-use-in-routi
ng-policy-match-conditions.html
[3] 
http://www.nongnu.org/quagga/docs/docs-multi/BGP-Communities-Attribute.html

On 1/2/16, 1:35 PM, "RFC Errata System" <[email-masked]> wrote:

>The following errata report has been submitted for RFC1997,
>"BGP Communities Attribute".
>
>--------------------------------------
>You may review the report below and at:
>http://www.rfc-editor.org/errata_search.php?rfc=1997&eid=4576
>
>--------------------------------------
>Type: Editorial
>Reported by: Gjoko Stamenkov <[email-masked]>
>
>Section: GLOBAL
>
>Original Text
>-------------
>Well-known Communities
>
>   The following communities have global significance and their
>   operations shall be implemented in any community-attribute-aware BGP
>   speaker.
>
>NO_EXPORT (0xFFFFFF01)
>         All routes received carrying a communities attribute
>         containing this value MUST NOT be advertised outside a BGP
>         confederation boundary (a stand-alone autonomous system that
>         is not part of a confederation should be considered a
>         confederation itself).
>NO_ADVERTISE (0xFFFFFF02)
>         All routes received carrying a communities attribute
>         containing this value MUST NOT be advertised to other BGP
>         peers.
>NO_EXPORT_SUBCONFED (0xFFFFFF03)
>         All routes received carrying a communities attribute
>         containing this value MUST NOT be advertised to external BGP
>         peers (this includes peers in other members autonomous
>         systems inside a BGP confederation).
>
>Corrected Text
>--------------
>Well-known Communities
>
>   The following communities have global significance and their
>   operations shall be implemented in any community-attribute-aware BGP
>   speaker.
>
>NO_EXPORT (0xFFFFFF01)
>         All routes received carrying a communities attribute
>         containing this value MUST NOT be advertised to external BGP
>         peers (this includes peers in other members autonomous
>         systems inside a BGP confederation).
>NO_ADVERTISE (0xFFFFFF02)
>         All routes received carrying a communities attribute
>         containing this value MUST NOT be advertised to other BGP
>         peers.
>NO_EXPORT_SUBCONFED (0xFFFFFF03)
>         All routes received carrying a communities attribute
>         containing this value MUST NOT be advertised outside a BGP
>         confederation boundary (a stand-alone autonomous system that
>         is not part of a confederation should be considered a
>         confederation itself).
>
>Notes
>-----
>Definitions of NO_EXPORT and NO_EXPORT_SUBCONFED are interchanged in the
>original text.
>
>Instructions:
>-------------
>This erratum is currently posted as "Reported". If necessary, please
>use "Reply All" to discuss whether it should be verified or
>rejected. When a decision is reached, the verifying party (IESG)
>can log in to change the status and edit the report, if necessary.
>
>--------------------------------------
>RFC1997 (no draft string recorded)
>--------------------------------------
>Title               : BGP Communities Attribute
>Publication Date    : August 1996
>Author(s)           : R. Chandra, P. Traina, T. Li
>Category            : PROPOSED STANDARD
>Source              : Inter-Domain Routing
>Area                : Routing
>Stream              : IETF
>Verifying Party     : IESG
>

---

From: John Scudder <[email-masked]>
Date: Wed, 17 Feb 2016 16:28:23 -0500

I agree with your reading (and same caveats apply).

--John

> On Feb 17, 2016, at 2:59 PM, Alvaro Retana (aretana) <[email-masked]> wrote:
> 
> Idr WG:
> 
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr